unit UfrmPesqPedido;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FMTBcd, StdCtrls, Buttons, Grids, DBGrids, DB, DBClient, Provider,
  SqlExpr, ComCtrls;

type
  TfrmPesqPedido = class(TForm)
    dtpInicial: TDateTimePicker;
    sdsPesqPedido: TSQLDataSet;
    dspPesqPedido: TDataSetProvider;
    cdsPesqPedido: TClientDataSet;
    dtsPesqPedido: TDataSource;
    DBGrid1: TDBGrid;
    BitBtn1: TBitBtn;
    dtpFinal: TDateTimePicker;
    CheckBox1: TCheckBox;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPesqPedido: TfrmPesqPedido;

implementation

uses Udm, UfrmPesqNome;

{$R *.dfm}

procedure TfrmPesqPedido.BitBtn1Click(Sender: TObject);
var
  sWhere:String;
begin
  if CheckBox1.Checked then //Verificando se o checkbox est marcado
  begin
    try
      frmPesqNome:=TfrmPesqNome.Create(self);//Criando o formulrio de Pesquisa do Cliente
      frmPesqNome.ShowModal; //Chamando o formulrio
    finally
      sWhere:= //Varivel que ir receber a Instruo Sql
      ' dtPedido Between '+ //fazendo a comparao entre datas
      QuotedStr(FormatDateTime('mm/dd/yyyy',dtpInicial.Date))+ ' and '+
      QuotedStr(FormatDateTime('mm/dd/yyyy',dtpFinal.Date))+ ' and '+
      ' ped.id_cliente = '+ //Campo que ir receber  atribuio do formulrio Cliente
      QuotedStr(IntToStr(frmPesqNome.cdsPesqClienteid_cliente.AsInteger));
      FreeAndNil(frmPesqNome); //Destruindo o formulrio de pesquisa de Cliente
    end;
  end

  else  //Caso o Checkbox no esteja marcado ele ir pesquisar s por data
  begin
    sWhere:=
    'dtPedido Between '+
    QuotedStr(FormatDateTime('mm/dd/yyyy',dtpInicial.Date))+ ' and '+
    QuotedStr(FormatDateTime('mm/dd/yyyy',dtpFinal.Date));
  end;

  With cdsPesqPedido do
  begin
    Close;
    CommandText:='Select ped.id_pedido, '+
                        'ped.dtpedido, '+
                        'ped.valor_pedido, '+
                        'ped.id_cliente, '+
                        'cli.nome '+
                        'from Pedido ped '+
     'Inner Join Cliente cli on cli.id_cliente = ped.id_Cliente '+
     'Where '+sWhere; //Clausula Where recebendo a sua atribuio
    Open;
  end;
end;

end.
